Add pronunciation dictionary rules
curl --request POST \
--url https://dev.voice.ai/api/v1/tts/pronunciation-dictionaries/{dictionary_id}/add-rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"rules": []
}'import requests
url = "https://dev.voice.ai/api/v1/tts/pronunciation-dictionaries/{dictionary_id}/add-rules"
payload = { "rules": [] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({rules: []})
};
fetch('https://dev.voice.ai/api/v1/tts/pronunciation-dictionaries/{dictionary_id}/add-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"language": "<string>",
"current_version": 123,
"created_at_unix": 123,
"updated_at_unix": 123,
"rules": [],
"versions": []
}{
"error": "<string>",
"detail": "<string>",
"code": "<string>"
}{
"error": "<string>",
"detail": "<string>",
"code": "<string>"
}{
"error": "<string>",
"detail": "<string>",
"code": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>",
"detail": "<string>",
"code": "<string>"
}Pronunciation Dictionaries
Add pronunciation dictionary rules
POST
/
api
/
v1
/
tts
/
pronunciation-dictionaries
/
{dictionary_id}
/
add-rules
Add pronunciation dictionary rules
Authorizations
Bearer token authentication. Use your API key as the bearer token. Format: Authorization: Bearer
Path Parameters
Body
application/json
Rules to apply
Show child attributes
Show child attributes
Response
Successful Response
Dictionary identifier
Dictionary display name
Dictionary language code
Current active version number
Creation timestamp in unix seconds
Last update timestamp in unix seconds
Rules in the active version
Show child attributes
Show child attributes
Version history
Show child attributes
Show child attributes
⌘I